<?php 
global $wpdb;
$table_name = $wpdb->prefix . 'vtu_max_settings';
$results = $wpdb->get_results("SELECT * FROM $table_name");

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    foreach ($results as $result) {
        $name = str_replace('_', ' ', $result->name);
        $value = $_POST[$result->name];
        $wpdb->update(
            $table_name,
            array('value' => $value),
            array('name' => $result->name)
        );

        if ($result->name === 'primary_color') {
            $primaryColorChanged = true;
            if ($result->value === $value) {
                $primaryColorChanged = false;
            }
        }
    }
    echo "<p>Site settings updated successfully!</p>";

    if ($primaryColorChanged) {
        $wpdb->query("DELETE FROM {$wpdb->options} WHERE option_name LIKE '_transient_svg_%' OR option_name LIKE '_transient_timeout_svg_%'");
    }
}

echo '<h2>Configure Basic Site Settings</h2>';
echo '<form method="post" style=" justify: center;">';
foreach ($results as $result) {
    $name = str_replace('_', ' ', $result->name);
    echo '<label for="' . $result->name . '">' . $name . '</label><br>';
    echo '<input type="text" id="' . $result->name . '" name="' . $result->name . '" value="' . $result->value . '"><br>';
}
echo '<br><input style="width: 70%; height: 40px; background: #ff6700; border: 1px solid #ff6700;color: white; border-radius: 4px;"type="submit" value="Submit">';
echo '</form>';