<?php
function dequeue_specific_styles() {
    wp_dequeue_style('1'); 
    wp_dequeue_style('3'); 
    wp_dequeue_style('4'); 
}

add_action('wp_enqueue_scripts', 'dequeue_specific_styles', 999);
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php wp_head(); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/remixicon/fonts/remixicon.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@mdi/font@5.x.x/css/materialdesignicons.min.css"/>
    
    <style>

@import url('https://fonts.googleapis.com/css2?family=Mitr:wght@1;100;200;300;400;500;600;700;800;900;1000&display=swap');
body,h4,button{
   font-family: Mitr, sans-serif !important;
}

.fs-12{
   font-size: 12px !important;

}

.btn {
    color: #fff;
    background: #ff6700;
    border: 1px solid #ff6700;
}

.btn:hover,
.btn:active,
.btn:focus {
    background: #e05600; 
    border: 1px solid #ff6700
}

a {
    color: #ff6700;
}

</style>
</head>
<?php $plugin_dir = dirname(__FILE__) . '/../';

$plugin_file_path = $plugin_dir . 'plugin.php';

require_once $plugin_file_path; ?>
<body <?php body_class(); ?>>

