 <?php
$vtu_max_header_template = plugin_dir_path( __FILE__ ) . 'template-vtu-max-header.php';
require $vtu_max_header_template;
$vtu_max_logo = get_custom_logo();

   
?>
 <div class="nk-app-root ">
        <main class="nk-pages">
            <div class="min-vh-100 d-flex flex-column has-mask">
                <div class="nk-mask bg-pattern-dot bg-blend-around"></div>
                 <div class="text-center mt-6 mb-4">
                 
                       <div class="logo-link"> <div class="logo-wrap" >
                          <?php
$custom_logo_id = get_theme_mod('custom_logo');
$logo_url = wp_get_attachment_image_url($custom_logo_id, 'full');

if ($logo_url) {
    echo '<img src="' . esc_url($logo_url) . '" alt="' . get_bloginfo('name') . '">';
} else {
    echo '';
}
?>
                        </div>
                    </div>
                </div>
                <div class="my-auto mt-0">
    <div class="container px-2">
        <div class="row g-gs justify-content-center">
            <div class="col-md-7 col-lg-6 col-xl-5">
               
                    <div class="card-body px-3">
                        <h4 class="mb-3">Register</h4>
                        <p class="fs-12">Create your new account</p>
                        <form method="POST" id="regForm" >
                            <div class="row g-4">
                                <div class="col-12">
                                    <div class="form-group">
                                        <div class="form-control-wrap"><input type="text" name="fullname" id="fullname" class="form-control form-control-lg" value="" placeholder="Your Full Name"></div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group">
                                        <div class="form-control-wrap"><input type="text" name="username" id="username" class="form-control form-control-lg" value="" placeholder="Your username"></div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group">
                                        <div class="form-control-wrap"><input type="email" name="email" id="email" class="form-control form-control-lg" value="" placeholder="Your email"></div>
                                    </div>
                                </div>
                                
                                <div class="col-12">
                                    <div class="form-group">
                                        <div class="form-control-wrap"><input type="text" name="refCode" id="refCode" class="form-control form-control-lg" value="" placeholder="Refferal Code"></div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group">
                                        <div class="form-control-wrap">
                                            <a href="javascript:void(0)" class="form-control-icon end toggle-password" title="Toggle show/hide password">
                                                <em class="on icon ri-eye-line text-basee"></em>
                                            </a>
                                            <input type="password" name="password" id="toggle-password" class="form-control form-control-lg" placeholder="Enter Password">
                                        </div>
                                    </div>
                                </div>
                                  <?php wp_nonce_field('vtu_max_auth_register_nonce', 'security'); ?>
                                <div class="col-12">
                                    <div class="d-flex flex-wrap justify-content-between">
                                        <div class="form-check form-check-sm">
                                            <input class="form-check-input bg-primary" type="checkbox" name="checkBox" checked id="iAgree">
                                            <label class="form-check-label small fs-12" for="iAgree"> I agree to <a class="text-primary" href="/privacy-policy">privacy policy</a> &amp; <a class="text-primary" href="/terms">terms</a></label>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-group"><button class="btn btn-primary btn-lg btn-block" type="button" id="register-button">Create Account</button></div>
                                </div>
                                <div class="col-12 text-center">
                                   
                                    <p class="mt-4 fs-12">Already have an account? <a class="text-primary" href="login">Login</a></p><br>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
document.addEventListener('DOMContentLoaded', function() {
  const togglePassword = document.querySelector('.toggle-password');
  const passwordField = document.querySelector('#toggle-password');

  togglePassword.addEventListener('click', function() {
    const type = passwordField.getAttribute('type') === 'password' ? 'text' : 'password';
    passwordField.setAttribute('type', type);

    const eyeIcon = togglePassword.querySelector('.ri-eye-line');
    eyeIcon.classList.toggle('on');
    eyeIcon.classList.toggle('ri-eye-off-line');
  });
});
</script>

</div>
</main>
</div>