<?php
$current_user_id = get_current_user_id();
$vtu_max_header_template = plugin_dir_path(__FILE__) . 'template-vtu-max-header.php';
require $vtu_max_header_template;
$basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');
$wallet_balance = get_user_meta($current_user_id, 'wallet_balance', true);
$vtu_max_username = get_user_meta($current_user_id, 'nickname', true);
$vtu_max_user_avatar = get_avatar_url($current_user_id);

if ($wallet_balance !== '') {
    $vtu_max_wallet_balance = number_format($wallet_balance, 2);
}
?>

 <div id="layout-wrapper">
        <header id="page-topbar" style="top: 0 !important">
            <div class="layout-width">
                <div class="navbar-header d-flex justify-content-start">
                    <a href="javascript:window.history.back()">
                    <div class="d-flex">
                        <button type="button" class="btn btn-sm px-3 fs-16 header-item vertical-menu-btn topnav-hamburger" id="ctopnav-hamburger-icon">
                            <i class="ri-arrow-left-line"></i>
                        </button>
                    </div>
                    </a>
                    <p class="mt-3">Internet Data</p>
                </div>
            </div>
        </header>
<input id="notificationItemsTabContent" type="hidden">

<div class="main-content">
   
    <div class="page-content">
        <div class="container-fluid px-0 mt-3">

            <div class="row">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-header">
                            <h6 class="card-title mb-0">Topup Data</h6>
                        </div><!-- end card header -->
                        <div class="card-body">
                            <!-- Buttons with dropdowns -->
                            <form class="row gy-4" method="POST">
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                       <select class="form-select data-attr network" id="data-attr" data-id="custom-input">
                                            <option selected value="none"  data-src="<?= $basecdnurl ?>images/mtn.png">Select network</option>
                                            <option value="MTN" data-src="<?= $basecdnurl ?>images/mtn.png">MTN</option>
                                            <option value="GLO" data-src="<?= $basecdnurl ?>images/glo.png">GLO</option>
                                            <option value="Airtel" data-src="<?= $basecdnurl ?>images/airtel.png">Airtel</option>
                                            <option value="9mobile" data-src="<?= $basecdnurl ?>images/9mobile.png">9MOBILE</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                        <input type="hidden" value="" id="dtype">
                                        <input type="text" readonly data-bs-toggle="offcanvas" data-bs-target="#selectPlan" class="form-control serviceID" data-id="custom-input" id="plan" placeholder="select plan"> 
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                        <input type="number" class="form-control phone" id="phone" maxLength="11" data-id="custom-input" placeholder="Enter phone number">
                                    </div>
                                </div>
                              <?php wp_nonce_field('vtu_max_data_nonce', 'security'); ?>  
                                     
                                <div class="d-flex flex-wrap gap-2">
                                    <button class="btn btn-primary w-100 proceed" type="button" id="buyData">Continue</button>
                                </div>
                            </form>
                        </div>

                    </div>
                </div> <!-- end col -->





                <div class="col-lg-6">
                    <div class="accordion accordion-border-box" id="genques-accordion">
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="genques-headingOnee">
                                <button class="accordion-button text-primary" type="button" data-bs-toggle="collapse" data-bs-target="#genques-collapseOnee" aria-expanded="true" aria-controls="genques-collapseOnee">
                                    Data Validility
                                </button>
                            </h2>
                            <div id="genques-collapseOnee" class="accordion-collapse collapse show" aria-labelledby="genques-headingOnee" data-bs-parent="#genques-accordion">
                                <div class="accordion-body">
                                    <p class="fs-12">All data plans lasts for 30days before expiry except plans of <span class="text-primary">50MB, 100MB, 150MB, 200MB, 250MB, 300MB and 350MB</span> which has 7-14days expiry period.</p>
                                </div>
                            </div>
                        </div>
                      
                    <!--end accordion-->
                </div> <!-- bottom offcanvas -->
           <div class="offcanvas offcanvas-bottom h-50 rounded-top" tabindex="-1" id="selectPlan" aria-labelledby="offcanvasBottomLabel">
    <div class="offcanvas-header pt-3 pb-2">
        <h6 id="offcanvasBottomLabel">Select Plan</h6>
        <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>

    <div class="offcanvas-body p-1 serviceIDS">
        <ul class="nav nav-tabs" id="myTabs" role="tablist">
    <li class="nav-item flex-fill">
        <a class="nav-link active" id="sme-tab" data-bs-toggle="tab" href="#sme" role="tab" aria-controls="sme" aria-selected="true" data-dtype="sme">SME</a>
    </li>
    <li class="nav-item flex-fill">
        <a class="nav-link" id="corporate-tab" data-bs-toggle="tab" href="#corporate" role="tab" aria-controls="corporate" aria-selected="false" data-dtype="corporate">Corporate</a>
    </li>
    <li class="nav-item flex-fill">
        <a class="nav-link" id="gifting-tab" data-bs-toggle="tab" href="#gifting" role="tab" aria-controls="gifting" aria-selected="false" data-dtype="gifting">Gifting</a>
    </li>
</ul>

        <div class="tab-content">
          <div class="tab-pane fade" id="sme" role="tabpanel" aria-labelledby="sme-tab" data-dtype="sme">
    <!-- Content for SME tab --> 
</div>
<div class="tab-pane fade" id="corporate" role="tabpanel" aria-labelledby="corporate-tab" data-dtype="Corporate">
    <!-- Content for Corporate tab -->
</div>
<div class="tab-pane fade" id="gifting" role="tabpanel" aria-labelledby="gifting-tab" data-dtype="gifting">
    <!-- Content for Gifting tab -->
</div>

        </div>
    </div>
</div>
<style>
    .plan-details {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-right: 20px;
        margin-left: 20px;
    }


    hr {
        margin-top: -3px;
        margin-bottom: 8px;
    }
    .tab-pane {
       margin-top: 9px;
    }
</style>
           </div>
        </div>
    </div>
<?php
global $wpdb;
$data_plans = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}vtu_max_data_plans");

$organized_data = array();
$current_user = wp_get_current_user();
$user_role = $current_user->roles[0];

foreach ($data_plans as $plan) {
    $network = $plan->data_network;
    $type = $plan->type;
    $plan_name = $plan->name;

    if ($user_role === 'agent' && isset($plan->agent_price)) {
        $price = $plan->agent_price;
    } elseif ($user_role === 'reseller' && isset($plan->reseller_price)) {
        $price = $plan->reseller_price;
    } else {
        $price = $plan->customer_price;
    }

    if (!isset($organized_data[$network])) {
        $organized_data[$network] = array();
    }
    if (!isset($organized_data[$network][$type])) {
        $organized_data[$network][$type] = array();
    }

    $organized_data[$network][$type][$plan_name] = $price;
}
 
?>
<script>
    var allData = <?php echo json_encode($organized_data); ?>;
    console.log('All Data:', allData);
</script>
<script>
document.addEventListener('DOMContentLoaded', function () {
    var networkPlans = <?php echo json_encode($organized_data); ?> || {};

    var smeTab = document.getElementById('sme-tab');
    if (smeTab) smeTab.click();

    document.getElementById('selectPlan').addEventListener('show.bs.offcanvas', function () {
        var dataAttrElement = document.getElementById('data-attr');
        if (!dataAttrElement.value || dataAttrElement.value === 'none') {
            Toastify({
                text: 'Kindly select a network',
                backgroundColor: 'linear-gradient(to right, #ff416c, #ff4b2b)',
            }).showToast();
            return false;
        }

        var selectedNetwork = dataAttrElement.value.toLowerCase();
        updateTabContents(selectedNetwork, 'sme');
    });

    document.querySelectorAll('.nav-link').forEach(function (tab) {
        tab.addEventListener('click', function () {
            var dataAttrElement = document.getElementById('data-attr');

            if (dataAttrElement) {
                var selectedNetwork = dataAttrElement.value;
                var selectedTab = this.getAttribute('data-dtype');

                if (!selectedNetwork || selectedNetwork === 'none') {
                    Toastify({
                        text: 'Kindly select a network',
                        backgroundColor: 'linear-gradient(to right, #ff416c, #ff4b2b)',
                    }).showToast();
                    return;
                }

                if (selectedTab) {
                    selectedTab = selectedTab.toLowerCase();

                    if (networkPlans[selectedNetwork] && networkPlans[selectedNetwork][selectedTab]) {
                        console.log('Found in the data:', networkPlans[selectedNetwork][selectedTab]);
                    } else {
                        console.error('Not found in the data.');
                        Toastify({
                            text: `${selectedTab} is currently unavailable for ${selectedNetwork}`,
                            backgroundColor: 'linear-gradient(to right, #FFD700, #FFA500)',
                        }).showToast();
                    }

                    updateTabContents(selectedNetwork, selectedTab);

                    var dtypeInput = document.getElementById('dtype');
                    if (dtypeInput) {
                        dtypeInput.value = selectedTab;
                    } else {
                        console.error('Element with id "dtype" not found.');
                    }
                } else {
                    console.error('Attribute "data-dtype" not found on tab element.');
                }
            } else {
                console.error('Element with id "data-attr" not found.');
            }
        });
    });

    function updateTabContents(network, selectedTab) {
        var tabContents = document.querySelectorAll('.tab-pane');
        tabContents.forEach(function (tabContent) {
            tabContent.innerHTML = '';
        });

        var tabContentContainer = document.getElementById(selectedTab);

        if (networkPlans[network] && networkPlans[network][selectedTab]) {
            var plans = networkPlans[network][selectedTab];
            if (!Array.isArray(plans)) {
                plans = Object.entries(plans).map(([left, right]) => ({ left, right }));
            }

            plans.forEach(function (plan) {
                var planDetails = document.createElement('div');
                planDetails.classList.add('plan-details');

                var leftDetails = document.createElement('p');
                leftDetails.classList.add('left-details');
                leftDetails.innerText = plan.left;

                var rightDetails = document.createElement('p');
                rightDetails.classList.add('right-details');
                rightDetails.innerText = '₦' + plan.right;

                planDetails.addEventListener('click', function () {
                    document.getElementById('plan').value = plan.left;
                    closeOffcanvas();
                });

                planDetails.appendChild(leftDetails);
                planDetails.appendChild(rightDetails);
                tabContentContainer.appendChild(planDetails);

                var hr = document.createElement('hr');
                hr.classList.add('text-muted');
                tabContentContainer.appendChild(hr);
            });
        } else {
            console.error('Selected network or tab not found in the data.');
        }
    }

    function closeOffcanvas() {
        var offcanvasElement = document.getElementById('selectPlan');
        var offcanvas = bootstrap.Offcanvas.getInstance(offcanvasElement);
        offcanvas.hide();
    }
});
</script>


            
        <!-- End Page-content -->

       
      <!-- App botton Menu -->

<footer class="un-bottom-navigation filter-blur">
    <div class="em_body_navigation border-0">
        <div class="item_link pointer mb-1 active" id="home">
            <a href="/" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-home-5-fill"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Home</span>
            </a>
        </div> 
        
        <div class="item_link pointer mb-1 " id="refferal">
            <a href="refferal" class="btn btn_navLink text-center" aria-label="btnNavigation">
                <i class="ri-bar-chart-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Savings</span>
            </a>
        </div>
        <div class="item_link pointer mb-1" id="loan">
            <a  class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-chat-1-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Support</span>
            </a>
        </div>
        <div class="item_link pointer mb-1 " id="history">
            <a href="profile" class="btn btn_navLink text-center" aria-label="btnNavigation">
              <i class="ri-user-4-line"></i>
                 <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">History</span>
            </a>
        </div>
    </div>
</footer>
</div>
<!-- end main content-->

</div>

<script>

document.addEventListener('DOMContentLoaded', function () {
    var isKeyboardVisible = false;

    function updateVisibility() {
       
        var hasFocus = Array.from(document.querySelectorAll('input, textarea'))
            .some(function (element) {
                return element === document.activeElement;
            });

        if (hasFocus !== isKeyboardVisible) {
            isKeyboardVisible = hasFocus;
            updateFooterVisibility();
        }
    }

    function updateFooterVisibility() {
        var footer = document.querySelector('.un-bottom-navigation');

        if (isKeyboardVisible) {
            footer.style.display = 'none';
        } else {
           
            footer.style.display = 'block';
        }
    }

    updateVisibility();

    window.addEventListener('resize', updateVisibility);
    window.addEventListener('scroll', updateVisibility);

    document.addEventListener('focus', updateVisibility, true);
    document.addEventListener('blur', updateVisibility, true);
});


</script>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script>
new TomSelect('#data-attr',{
    readOnly: true,
    render: {
        option: function (data, escape) {
            return `<div><img class="me-2 avatar-xxs rounded" height="18" src="${data.src}">${data.text}</div>`;
        },
        item: function (item, escape) {
            return `<div><img class="me-2 avatar-xxs rounded" height="18" src="${item.src}">${item.text}</div>`;
        }
    }
});

$('.dropdown-menu').on('click', '.droptoggle', function() {
    var provider = $(this).data('provider');
    $('.nettoggle img').attr('src', 'static/images/bills/' + provider + '.png');
    $( '.nettoggle .provider' ).text( provider );
    //$( "#biller" ).text( provider );
    //$('.billerImg').attr('src', 'static/images/bills/' + provider + '.png');
    
   // $('.number').attr('placeholder', provider + ' phone number');
    $('.network').val(provider);
  } );


function copyTextToClipboard(text) {
  navigator.clipboard.writeText(text).then(function() {
    console.log('Copied to clipboard');
    toast('Copied to clipboard');
  }).catch(function(err) {
    console.error('Error copying to clipboard:', err);
    toast('Error copying to clipboard');
  });
}
function toast(message) {
    Toastify({
        text: message,
        duration: 3000,
        close: false,
        gravity: 'top',
        position: 'center',
        backgroundColor: 'linear-gradient(to right, #00b09b, #96c93d)',
        stopOnFocus: true,
    }).showToast()
}
</script>
