<?php
$current_user_id = get_current_user_id();
$vtu_max_header_template = plugin_dir_path(__FILE__) . 'template-vtu-max-header.php';
require $vtu_max_header_template;
$wallet_balance = get_user_meta($current_user_id, 'wallet_balance', true);
$vtu_max_username = get_user_meta($current_user_id, 'nickname', true);
$basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');
$vtu_max_user_avatar = get_avatar_url($current_user_id);$user_id = get_current_user_id();
    $wema_bank = get_user_meta($current_user_id, 'wema_bank', true);
    $fidelity_bank = get_user_meta($current_user_id, 'fidelity_bank', true);
    $sterling_bank = get_user_meta($current_user_id, 'sterling_bank', true);
    $first_name = get_user_meta($current_user_id, 'first_name', true);
$current_user = wp_get_current_user();
$user_roles = $current_user->roles;
$primary_color = $vtu_maxplugin->getPrimaryColor();
if (is_array($user_roles) && !empty($user_roles)) {
    $user_role = array_shift($user_roles);
    
} else {
    echo "Unable to retrieve current user role.";
}
$user_id = get_current_user_id();
$reference = get_user_meta($user_id, 'mfy_ref', true);

if (empty($reference)) {
    $reference = generate_unique_code(get_bloginfo('name'));
    update_user_meta($user_id, 'mfy_ref', $reference);
    update_user_meta($user_id, 'pv_ref', $reference);
    update_user_meta($user_id, 'vfd_ref', $reference);
}

function generate_unique_code($prefix) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $code = $prefix . '-';
    for ($i = 0; $i < 24; $i++) {
        $code .= $characters[rand(0, strlen($characters) - 1)];
    }
    return $code;
}
if ($wallet_balance !== '') {
    $vtu_max_wallet_balance = number_format($wallet_balance, 2);
}
if (is_user_logged_in()) {
    global $monnifyAccessToken;
    $current_user = wp_get_current_user();
    
    $wema_bank = get_user_meta($current_user->ID, 'wema_bank', true);
    $sterling_bank = get_user_meta ($current_user->ID, 'sterling_bank', true);
    if (empty($wema_bank) || empty($sterling_bank)) {
        $acct_ref = get_user_meta($current_user->ID, 'mfy_ref', true);
        
        $acct_name = $current_user->first_name . ' ' . $current_user->last_name;
        $customer_email = $current_user->user_email;
        $customer_name = $current_user->display_name;

            $bvn = str_pad(rand(1, 999999999), 11, '0', STR_PAD_LEFT);

            $monnify = new MonnifyPayments($monnifyAccessToken);

            ob_start();
            $response = $monnify->max_mfy_aza($acct_ref, $acct_name, $customer_email, $customer_name, $bvn);
            error_log('s2');
            ob_end_clean();

            if ($response !== false) {
                $response_array = json_decode($response, true);
                error_log($response);
                if ($response_array && isset($response_array['requestSuccessful']) && $response_array['requestSuccessful']) {
    foreach ($response_array['responseBody']['accounts'] as $account) {
        $bankName = strtolower($account['bankName']);
        if (strpos($bankName, 'wema') !== false || strpos($bankName, 'sterling') !== false || strpos($bankName, 'fidelity') !== false) {
            $meta_key = str_replace(' ', '_', $bankName); 
            $account_number = $account['accountNumber'];
            update_user_meta($current_user->ID, $meta_key, $account_number);
        }
    }
} else {
    error_log("Monnify Aza Request Failed: " . print_r($response_array, true));
          }
        }
    }
} else {
    
}
echo '<style>
    .pt-x{position:relative;top:-7px;}
    .pt-y{position:relative;top:3px;}
    .pt-a{position:relative;top:-4px;}
    .pt-b{position:relative;top:7px;}
    .pt-c{position:relative;top:20px;}
    .blurred{filter:blur(6px);}
</style>';
echo '<script>
  document.addEventListener("DOMContentLoaded", function () {
    const eyeIcon = document.getElementById("toggle-eye");
    const balanceElement = document.getElementById("bal");

    eyeIcon.addEventListener("click", function () {
      eyeIcon.classList.toggle("ri-eye-line");
      eyeIcon.classList.toggle("ri-eye-off-line");
      balanceElement.classList.toggle("blurred");
    });
  });
</script>';
$svgUrlVerified = $basecdnurl . 'icons/verified.svg';
echo '<header id="page-topbar" class="mb-5" style="top:0!important;">
    <div class="layout-width">
        <div class="navbar-header mt-2 mb-1">
            <div class="d-flex justify-content-betweecn">
                <div class="dropdown ms-sm-3 header-ite topbar-user">
                    <a href="profile">
                        <span class="d-flex justify-content-start" onclick="wcindow.location.href=\'profile\' ">
                            <img class="rounded-circle" width="35" height="35" src="' . $vtu_max_user_avatar . '" alt="Header Avatar" style="position:relative;top:20px;">
                            <div class="text-start ms-xl-2" style="margin-left:10px;">
                                <h6 class="fw-medium fs-13 user-name-text mb-0">Hey ' . $vtu_max_username . '! <img src="'.$svgUrlVerified.'" style="position:relative;left:-20px;" alt=""></h6>
                                <span class="fs-13 text-gold user-name-sub-text" style="position:relative;top:-20px; color:gold ; font-weight:700">' . $user_role . '</span>
                            </div>
                        </span>
                    </a>
                </div>
            </div>
            <div class="dropdown topbar-head-dropdown header-item" id="notificationDropdown">
                <button type="button" class="btn btn-icon btn-topbar btn-ghost-dark rounded-circle" id="page-header-notifications-dropdown" data-bs-toggle="dropdown" data-bs-auto-close="outside" aria-haspopup="true" aria-expanded="false">
                    <a href="">  <i class="ri-notification-4-line" style="position:relative;top:-7px;left:-5px"></i></a>
                    <span class="position-absolute topbar-badge fs-10 translate-middle badge rounded-pill bg-danger"><span class="notification-badge">1</span><span class="visually-hidden">unread notifications</span></span>
                </button>
            </div>
        </div>
    </div>
</header>';
echo '<div class="main-content" style="position:relative;top:-40px;">
    <div class="page-content">
        <div class="container-fluid px-0 mt-2">
            <div class="row">
                <div class="col-lg-4">
                    <div class="row">
                        <div class="col-lg-12d col-md-d6" > 
                            <div class="card bg-customdash card-animate">
                                <div class="card-body x-p" style="flex-direction:column;">
                                    <div class="d-flex justify-content-between">
                                        <div class="flex-grow-1">
                                            <p class="fw-small text-white fs-13">Available Balance  
                                                <span class="ri-eye-fill" id="toggle-eye" data-icon-on="ri-eye-fill" data-icon-off="ri-eye-off-fill"></span>
                                            </p>
                                            <h4 class="fs-24 fw-semibold text-white mb-3 mt-3" id="bal">₦' . $vtu_max_wallet_balance . '</h4>
                                        </div>
                                    </div>
                                    <div class="iconbox-container">
                                        <a data-bs-toggle="offcanvas" data-bs-target="#fundWallet">
                                            <div class="iconbox">
                                                <i  class="ri-bank-card-line tp"></i>
                                                <strong style="white-space: nowrap">Add Money</strong>
                                            </div>
                                        </a>
                                        <a href="transfer">
                                            <div class="iconbox">
                                                <i class="ri-arrow-right-s-line tp"></i>
                                                <strong>Transfer</strong>
                                            </div>
                                        </a>
                                        <a href="transactions">
                                            <div class="iconbox">
                                                <i class="ri-user-4-line tp"></i>
                                                <strong>History</strong>
                                            </div>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="blur"></div>  
                    </div>
                <br><br></div>';global $wpdb;
$table_name = $wpdb->prefix . 'vtu_max_settings';

$features = array(
    'airtime' => get_option('airtime_feature'),
    'data' => get_option('data_feature'),
    'electricity' => get_option('electricity_feature'),
    'tv' => get_option('cabletv_feature'),
    'betting' => get_option('betting_feature'),
    'datapin' => get_option('datapin_feature'),
    'a2cash' => get_option('a2cash_feature'),
    'recharge' => get_option('rechargepin_feature'),
    'epin' => get_option('exampin_feature'),
    'bulksms' => get_option('bulksms_feature'),
    'coupon' => get_option('coupon_feature'),
    'kyc' => get_option('force_kyc')
);

$services = [
    ["airtime", "mobile.svg", "Airtime", "pt-0", "", $features['airtime']],
    ["data", "data.svg", "Data", "pt-x", "", $features['data']],
    ["electricity", "lamp-charge.svg", "Electricity", "pt-0", "", $features['electricity']],
    ["tv", "monitor.svg", "TV", "pt-0", "", $features['tv']],
    ["betting", "betting.svg", "Betting", "pt-a", "", $features['betting']],
    ["datapin", "wifi-square.svg", "Data Pin", "pt-y", "", $features['datapin']],
    ["a2cash", "mobile.svg", "A2cash", "pt-0", "", $features['a2cash']],
    ["recharge", "history.svg", "Recharge", "pt-0", "", $features['recharge']],
    ["epin", "teacher.svg", "Exam", "pt-b", "", $features['epin']],
    ["bulksms", "messages.svg", "Bulk SMS", "pt-b", "", $features['bulksms']],
    ["coupon", "giftcard.svg", "Coupon", "pt-0", "", $features['coupon']],
    ["#", "kyc.svg", "KYC", "pt-c", 'data-bs-toggle="offcanvas" data-bs-target="#upgrade" aria-controls="upgrade" ', $features['kyc']]
];

   

foreach ($services as $service) {
    if ($service[5] == "true") { 
        $cacheKey = 'svg_' . $service[1];
        $svgContent = get_transient($cacheKey);

        if (!$svgContent) {
            $svgPath = $basecdnurl . 'icons/' . $service[1];
            $svgContent = file_get_contents($svgPath);
            $svgContent = str_replace('fill="#ff6700"', 'fill="' . $primary_color . '"', $svgContent);

            set_transient($cacheKey, $svgContent, 0);
        }

        echo '
            <div class="col-3 ' . $service[3] . '">
                <div class="text-center">
                    <a href="' . $service[0] . '" ' . $service[4] . ' class="d-block">
                        <img id="dynamic-svg" class="mb-0" src="data:image/svg+xml;base64,' . base64_encode($svgContent) . '">
                        <p class="mb-0 mt-0 text-col fs-11">' . $service[2] . '</p>
                    </a>
                </div>
            </div>';
    }
}
echo '</div><br>
    <div class="col-lg-12">
        <div class="card radius-0 card-height-100">
            <div class="card-header border-bottom-dashed align-items-center d-flex">
                <br> <h6 class="card-title mb-0 flex-grow-1 fw-medium">Recent Transactions</h6>
            </div>
            <div class="card-body p-2">
                <div data-simplebarr style="max-height: 550px;">
                    <ul class="list-group list-group-flush border-dashed mb-0">';

global $wpdb;
$user_id = get_current_user_id();
$transactions = $wpdb->get_results(
    $wpdb->prepare(
        "SELECT * FROM {$wpdb->prefix}vtu_max_transactions WHERE user_id = %d ORDER BY created_at DESC LIMIT 3",
        $user_id
    )
);

if (empty($transactions)) {
    echo '<li class="list-group-item text-danger">No transaction found!!😕</li>';
} else {
    foreach ($transactions as $transaction) {
        $biller_name = explode(" ", $transaction->biller)[0];
        $transaction_details = preg_match('/₦(\d+)|\b\d+GB\b|\b\d+MB\b|\b\d+mb\b/', $transaction->description, $matches) ? $matches[0] : '';

        $transaction_date = date("jS F, Y", strtotime($transaction->date));
        $transaction_amount = number_format($transaction->amount, 2);

        echo '<li class="list-group-item px-1 pointer" onclick="window.location.href=\'transactions/?ref=' . $transaction->ref . '\'">';
        echo '<a href="transactions/?ref=' . $transaction->ref . '">';
        echo '<div class="d-flex">';
        echo '<div class="flex-shrink-0 avatar-xs">';
        echo '<span class="avatar-title bg-light p-1 rounded-circle">';
        echo '<img src="'. $basecdnurl .'images/' . strtolower($biller_name) . '.png" class="img-fluid" alt="' . $biller_name . '">';
        echo '</span>';
        echo '</div>';
        echo '<div class="flex-grow-1 ms-2">';
        echo '<h6 class="mb-1 fs-11 fw-medium">' . $biller_name . ' ' . $transaction_details . '</h6>';
        echo '<p class="fs-12 mb-0 text-muted">';
        echo '<i class="ri-time-line fs-10 align-middle text-primary me-1"></i>' . $transaction_date . '</p>';
        echo '</div>';
        echo '<div class="flex-shrink-0 text-end">';

        if ($transaction->status == 'success') {
            echo '<p class="text-success fs-11 mb-0"><i class="ri-check-fill fs-14 align-middle me-1"></i> ₦' . $transaction_amount . '</p>';
            echo '<p class="mb-0 fs-12 text-success">' . $transaction->status . '</p>';
        } elseif ($transaction->status == 'pending') {
            echo '<p class="text-warning fs-11 mb-0"><i class="ri-refresh-line fs-14 align-middle me-1"></i> ₦' . $transaction_amount . '</p>';
            echo '<p class="mb-0 fs-12 text-warning">' . $transaction->status . '</p>';
        } else {
            echo '<p class="text-danger fs-11 mb-0"><i class="ri-close-circle-fill fs-14 align-middle me-1"></i> ₦' . $transaction_amount . '</p>';
            echo '<p class="mb-0 fs-12 text-danger">' . $transaction->status . '</p>';
        }

        echo '</div>';
        echo '</div>';
        echo '</a>';
        echo '</li>';
    }
}

echo '</ul>
    <div class="text-center mt-3" style="margin-bottom:-90px;">
        <a href="transactions" class="tp"> See more <i class="ri-loader-2-line ri-spin fs-20 align-middle me-2"></i></a>
    </div>
</div>
</div>
</div>
</div>';

 echo '
  <!-- bottom offcanvas --> 
    <div class="offcanvas offcanvas-bottom h-50 rounded-topp rounded-4" tabindex="-1" id="upgrade" aria-labelledby="offcanvasBottomLabel">
        <div class="offcanvas-header pt-3 pb-2">
            <h6 id="offcanvasBottomLabel">KYC verification</h6> 
            <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body p-2">
               <p class="fs-11 p-0">KYC verification was enforced by CBN <br> All your data are encrypted and not stored in our server. Secured by <span class="text-primary">VTUmax</span></p>';
           

$table_kyc = $wpdb->prefix . 'vtu_max_mfy_kyc';
$current_user_id = get_current_user_id();
$user_exists = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $table_kyc WHERE user_id = %d", $current_user_id));
if ($user_exists) {
    $user_data = $wpdb->get_row($wpdb->prepare("SELECT NIN, BVN FROM $table_kyc WHERE user_id = %d", $current_user_id)); 
      
    if ($user_data->BVN === null ) {
        echo '<form class="row p-2" id="verBVN">
                <div class="col-12 mt-0">
                    <div class="mt-3">
                        <input type="number" class="form-control serviceID" data-id="custom-input" id="BVN" placeholder="Enter your BVN">
                    </div>
                </div>
                <div class="col-12 mt-3">
                    <div class="mt-3">
                        <input type="number" class="form-control phone" id="phone" maxLength="11" data-id="custom-input" placeholder="Phone Number">
                    </div>
                </div>
                ' . wp_nonce_field('vtu_max_verify_BVN_nonce', 'security') . '
                <div class="d-flex flex-wrap gap-0 mt-2">
                    <button class="btn btn-primary rounded-pill w-100 proceed" type="button" style="width: 50px" id="verBVNbtn">Verify BVN now</button>
                </div>
              </form>';
    } else {
        echo '<div class="alert alert-success" role="alert">
                <i class="ri-checkbox-circle-fill"></i> You have successfully completed KYC Verification
              </div>';
    }
} else {
    echo '<form class="row p-2" id="verNIN">
            <div class="col-12 mt-0">
                <div class="mt-3">
                    <input type="number" class="form-control serviceID" data-id="custom-input" id="NIN" placeholder="Enter your NIN">
                </div>
            </div>
            <div class="col-12 mt-3">
                <div class="mt-3">
                    <input type="number" class="form-control phone" id="phone" maxLength="11" data-id="custom-input" placeholder="Phone Number">
                </div>
            </div>
            ' . wp_nonce_field('vtu_max_verify_NIN_nonce', 'security') . '
            <div class="d-flex flex-wrap gap-0 mt-2">
                <button class="btn btn-primary rounded-pill w-100 proceed" type="button" style="width: 50px" id="verNINbtn">Verify NIN now</button>
            </div>
          </form>';
} 
   
           
       echo '</div>
    </div>
    
  
</div></div>

    <!-- App bottom Menu -->
    <footer class="un-bottom-navigation filter-blur">
        <div class="em_body_navigation border-0">
            <div class="item_link pointer mb-1 active" id="home">
                <a href="#" class="btn btn_navLink text-center" aria-label="btnNavigation">
                    <i class="ri-home-5-fill"></i>
                    <span class="fs-11 d-block" id="spanName" style="position:relative;top:-5px;">Home</span>
                </a>
            </div> 
            <div class="item_link pointer mb-1 " id="">
                <a href="/finance" class="btn btn_navLink text-center" aria-label="btnNavigation">
                    <i class="ri-bar-chart-line"></i>
                    <span class="fs-11 d-block" id="spanName" style="position:relative;top:-5px;">Finance</span>
                </a>
            </div>
            <div class="item_link pointer mb-1" id="">
                <a href="support" class="btn btn_navLink text-center" aria-label="btnNavigation">
                    <i class="ri-chat-1-line"></i>
                    <span class="fs-11 d-block" id="spanName" style="position:relative;top:-5px;">Support</span>
                </a>
            </div>
            <div class="item_link pointer mb-1 " id="history">
                <a href="/transactions" class="btn btn_navLink text-center" aria-label="btnNavigation">
                    <i class="ri-user-4-line"></i>
                    <span class="fs-11 d-block" id="spanName" style="position:relative;top:-5px;">History</span>
                </a>
            </div>
        </div>
    </footer>
</div>
</div>';


$current_user_id = get_current_user_id();

$user_exists = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM {$wpdb->prefix}vtu_max_mfy_kyc WHERE user_id = %d", $current_user_id));
$is_force_kyc = $features['kyc'];
if ($user_exists == 1 || $is_force_kyc == "false") { ?>

        
        <div class="offcanvas offcanvas-bottom h-50 rounded-topp rounded-4" tabindex="-1" id="fundWallet" aria-labelledby="offcanvasBottomLabel">
            <div class="offcanvas-header pt-3 pb-2">
                <h6 id="offcanvasBottomLabel">Add Money</h6>
                <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </div>
            <div class="offcanvas-body p-1">
                <p class="fs-10 p-3">Fund your account easily. You can pay to any of your account number below, it will reflect in your balance immediately. Please note that there is a 1.5% service charge for every money received.</p>
                <ul class="list-group list-group-flush p-1">
                    <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Bank Name <span><img src="<?= $basecdnurl ?>/images/9psb.png" class="me-2" alt="Bank Image" height="18">9Payment service Bank</span></li>
                    <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Account Number <span id="copyAcctt" onclick="copyTextToClipboardd('<?php echo esc_attr($wema_bank); ?>')"><?php echo esc_html($wema_bank); ?></span></li>
                </ul>
                <ul class="list-group list-group-flush p-1">
                    <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Bank Name <span><img src="<?= $basecdnurl ?>images/wema.png" class="me-2" alt="Bank Image" height="18">Wema Bank</span></li>
                    <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Account Number <span onclick="copyTextToClipboardd('<?php echo esc_attr($wema_bank); ?>')"><?php echo esc_html($wema_bank); ?></span></li>
                </ul>
                <ul class="list-group list-group-flush p-1">
                    <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Bank Name <span><img src="<?= $basecdnurl ?>images/sterling.png" class="me-2" alt="Bank Image" height="18">Sterling Bank</span></li>
                    <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Account Number <span onclick="copyTextToClipboardd('<?php echo esc_attr($sterling_bank); ?>')"><?php echo esc_html($sterling_bank); ?></span></li>
                    <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Accounts Names <span><?php echo esc_html(substr($first_name, 0, 3)) . ' - ' . get_bloginfo('name'); ?></span></li>
                </ul>
            </div>
        </div>
        <?php } else { ?>
     <!-- bottom offcanvas --> 
   <div class="offcanvas offcanvas-bottom h-50 rounded-topp rounded-4" tabindex="-1" id="fundWallet" aria-labelledby="offcanvasBottomLabel">
    <div class="offcanvas-header pt-3 pb-2">
        <h6 id="offcanvasBottomLabel">Add Money</h6> 
        <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <style>
.overlay {
    position: absolute;
    top: 10;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8); 
    backdrop-filter: blur(2px); 
    z-index: 1; 
    border-radius: 11px;
}

.kyc-prompt {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 2; 
    
}
    </style>
    <div class="offcanvas-body p-1">
       
        <div class="overlay"></div>
        <div class="kyc-prompt">
            <h6 class="fs-14 text-danger">Complete KYC to unlock accounts</h6>
          
        </div>

        
            <p class="fs-10 p-3">Fund your account easily. You can pay to any of your account number below, it will reflect in your balance immediately. Please note that there is a 1.5% service charge for every money received.</p>
            <ul class="list-group list-group-flush p-1">
                <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Bank Name <span><img src="/wp-content/plugins/vtu-max/public/images/wema.png" class="me-2" alt="Bank Image" height="18">Wema Bank</span></li>
                <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Account Number <span id="copyAcctt" onclick="copyTextToClipboardd('12345678910')">12345678910 </span></li>
            </ul>
            <ul class="list-group list-group-flush p-1">
                <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Bank Name <span><img src="/wp-content/plugins/vtu-max/public/images/fidelity.png" class="me-2" alt="Bank Image" height="18">Fidelity Bank</span></li>
                <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Account Number <span onclick="copyTextToClipboardd('12345678910')">12345678910 </span></li>
            </ul>
            <ul class="list-group list-group-flush p-1">
                <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Bank Name <span><img src="/wp-content/plugins/vtu-max/public/images/sterling.png" class="me-2" alt="Bank Image" height="18">Sterling Bank</span></li>
                <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Account Number <span onclick="copyTextToClipboardd('12345678910')">12345678910 </span></li>
                <li class="list-group-item d-flex justify-content-between align-items-center fs-12 hover pointer">Accounts Names <span>Complete KYC</span></li>
            </ul>
          
        </div>
    </div>

    <?php } ?>
<?php
echo '<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" ></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>';

?>

   