<?php


add_action( 'show_user_profile', 'wporg_usermeta_form_field_vtu_max', 1 );

// Add the field to user profile editing screen.
add_action( 'edit_user_profile', 'wporg_usermeta_form_field_vtu_max', 1 );

function wporg_usermeta_form_field_vtu_max( $user ) {
    // Get the current value of the user meta field.
    $wallet_balance = get_user_meta( $user->ID, 'wallet_balance', true );
    $phone = get_user_meta( $user->ID, 'phone', true );
    $savings_balance = get_user_meta( $user->ID, 'savings_balance', true );
    $frozen_balance = get_user_meta( $user->ID, 'frozen_balance', true );
    $cashback = get_user_meta( $user->ID, 'cashback', true );
    $referral_balance = get_user_meta( $user->ID, 'referral_balance', true );
    $referral_code = get_user_meta( $user->ID, 'referral_code', true );
    $referred_by = get_user_meta( $user->ID, 'referred_by', true );
    $wema_bank = get_user_meta( $user->ID, 'wema_bank', true );
    $fidelity_bank = get_user_meta( $user->ID, 'fidelity_bank', true );
    $sterling_bank = get_user_meta( $user->ID, 'sterling_bank', true );

    ?>
    <h3>VTUmax Profile Details</h3>
    <table class="form-table">
        <tr>
            <th><label for="wallet-balance">Wallet Balance</label></th>
            <td>
                <input type="text" class="readonly" id="wallet-balance" name="wallet_balance" value="<?= esc_attr( $wallet_balance ) ?>" readonly>
                
            </td>
        </tr>
       
        <tr>
            <th><label for="phone">Phone Number</label></th>
            <td>
                <input type="text" class="regular-text" id="phone" name="phone" value="<?= esc_attr( $phone ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for="savings_balance">Savings balance</label></th>
            <td>
                <input type="text" class="regular-text" id="savings_balance" name="savings_balance" value="<?= esc_attr( $savings_balance ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for="frozen_balance">Frozen balance</label></th>
            <td>
                <input type="text" class="regular-text" id=" frozen_balance" name=" frozen_balance" value="<?= esc_attr( $frozen_balance ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for="cashback">Cashback</label></th>
            <td>
                <input type="text" class="regular-text" id=" cashback" name=" cashback" value="<?= esc_attr( $cashback ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for=" referral_balance">Refferal Balance</label></th>
            <td>
                <input type="text" class="regular-text" id=" referral_balance" name=" referral_balance" value="<?= esc_attr( $referral_balance ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for=" referal_code">Refferal Code</label></th>
            <td>
                <input type="text" class="regular-text" id=" referral_code" name=" referral_code" value="<?= esc_attr( $referral_code ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for=" referred_by">Refferal</label></th>
            <td>
                <input type="text" class="regular-text" id=" referred_by" name=" referred_by" value="<?= esc_attr( $referred_by ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for=" wema_bank">Wema Bank</label></th>
            <td>
                <input type="text" class="regular-text" id=" wema_bank" name=" wema_bank" value="<?= esc_attr( $wema_bank ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for="sterling_bank">Sterling Bank</label></th>
            <td>
                <input type="text" class="regular-text" id=" sterling_bank" name=" sterling_bank" value="<?= esc_attr( $sterling_bank ) ?>" readonly>
                
            </td>
        </tr>
        
         <tr>
            <th><label for=" fidelity_bank">Fidelity Bank</label></th>
            <td>
                <input type="text" class="regular-text" id="fidelity_bank" name="fidelity_bank" value="<?= esc_attr( $fidelity_bank ) ?>" readonly>
                
            </td>
        </tr>
    </table>
    <?php
}