<?php


class Vtu_Max_Admin {

	
	private $plugin_name;

	
	private $version;

	
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}

	
 public function enqueue_styles() {
  
  wp_enqueue_style( '', plugin_dir_url(__FILE__) . 'css/vtu-max-admin.css', array(), $this->version, 'all' );
  
  
 }
	

	
	public function enqueue_scripts() {
   
    wp_enqueue_script('jquery');

    
    
    wp_enqueue_script('vtu-max-js-2', plugin_dir_url(__FILE__) . 'js/vtu-max-plugins.js', array('jquery'), $this->version, false);
    
    wp_enqueue_script('vtu-max-js-3', plugin_dir_url(__FILE__) . 'js/vtu-max-toastify.js', array('jquery'), $this->version, false);
    
    wp_enqueue_script('vtu-max-js-4', plugin_dir_url(__FILE__) . 'js/vtu-max-v1.js', array('jquery'), $this->version, false);
    
    wp_enqueue_script('vtu-max-js-5', plugin_dir_url(__FILE__) . 'js/pages/vtu-max-modal.init.js', array('jquery'), $this->version, false);
    
    wp_enqueue_script('vtu-max-js-6', plugin_dir_url(__FILE__) . 'js/pages/vtu-max-sweetalerts.init.js', array('jquery'), $this->version, false);
    
    wp_enqueue_script('vtu-max-js-7', plugin_dir_url(__FILE__) . 'js/pages/vtu-max-widgets.init.js', array('jquery'), $this->version, false);
    
    wp_enqueue_script('vtu-max-js-8', plugin_dir_url(__FILE__) . 'js/pages/plugins/vtu-max-icon.js', array('jquery'), $this->version, false);
    
     wp_enqueue_script('vtu-max-scripts', plugin_dir_url(__FILE__) . 'js/pack.js', array('jquery'), $this->version, false);

    
    $nonces = array(
        'login'    => wp_create_nonce('vtu_max_auth_login_nonce'),
        'register' => wp_create_nonce('vtu_max_auth_register_nonce'),
        'ppu' => wp_create_nonce('vtu_max_ppu_nonce'),
      
        
    );

   
    wp_localize_script('vtu-max-scripts', 'ajax_object', array(
        'ajax_url' => admin_url('admin-ajax.php'),
        'security' => $nonces,
    ));
}   

}


