<?php

class VtuMaxAdmin {

    public function __construct() {
        add_action('admin_menu', array($this, 'add_menu'));
    }

    public function admin_page() {
        wp_get_current_user();
        include plugin_dir_path(__FILE__) . 'template/admin/vtu-max-dashboard.php';
    }

    public function max_api_config() {
        include plugin_dir_path(__FILE__) . 'template/admin/api-config.php';
    }

    public function max_manage_users() {
        include plugin_dir_path(__FILE__) . 'template/admin/manage-users.php';
    }

    public function max_notifications() {
        include plugin_dir_path(__FILE__) . 'template/admin/notifications.php';
    }

    public function max_services() {
        include plugin_dir_path(__FILE__) . 'template/admin/services.php';
    }

    public function max_transactions() {
        include plugin_dir_path(__FILE__) . 'template/admin/transactions.php';
    }

    public function max_website_settings() {
        include plugin_dir_path(__FILE__) . 'template/admin/website-settings.php';
    }

    public function max_vpay_settings() {
  include plugin_dir_path(__FILE__) . 'template/admin/vpay-setting.php';
     
   }
    public function add_menu() {
        add_menu_page(
            'VTUmax',
            'VTUmax',
            'manage_options',
            'vtu-max',
            array($this, 'admin_page'),
            'dashicons-xing',
            3
        );

        add_submenu_page(
            'vtu-max',
            'Api Configurations',
            'Api Configuration',
            'manage_options',
            'vtu-max-api-config',
            array($this, 'max_api_config')
        );
        

        add_submenu_page(
            'vtu-max',
            'Manage Users',
            'Manage Users',
            'manage_options',
            'vtu-max-manage-users',
            array($this, 'max_manage_users')
        );

        add_submenu_page(
            'vtu-max',
            'Notifications',
            'Notifications',
            'manage_options',
            'vtu-max-notifications',
            array($this, 'max_notifications')
        );

        add_submenu_page(
            'vtu-max',
            'Services',
            'Services',
            'manage_options',
            'vtu-max-services',
            array($this, 'max_services')
        );

        add_submenu_page(
            'vtu-max',
            'Transactions',
            'Transactions',
            'manage_options',
            'vtu-max-transactions',
            array($this, 'max_transactions')
        );

        add_submenu_page(
            'vtu-max',
            'Website Settings',
            'Website Settings',
            'manage_options',
            'vtu-max-site-settings',
            array($this, 'max_website_settings')
        ); 
        
        add_submenu_page(
            'vtu-max',
            'Vpay BaseToken',
            'Vpay BaseToken',
            'manage_options',
            'vtu-max-vpay-settings',
            array($this, 'max_vpay_settings')
        );
    }
}


$vtu_max_admin_instance = new VtuMaxAdmin();