<?php
class payvesselInitialize {
    
    private $prefix;

    public function __construct() {
        global $wpdb;
        $this->prefix = $wpdb->prefix;
        $this->load_api_configs();
    }

    private function load_api_configs() {
        global $wpdb;
        $table_name = $this->prefix . 'vtu_max_apiconfigs';
        $query = $wpdb->prepare("SELECT * FROM $table_name WHERE name IN (%s, %s, %s, %s, %s)", 'pv_charges', 'pv_token', 'pv_status', 'pv_secret', 'pv_business');
        $results = $wpdb->get_results($query);

        if ($results) {
            foreach ($results as $result) {
                $GLOBALS[$result->name] = $result->value;
            }
        }
    }
}

$payvesselInit = new payvesselInitialize();
