<?php
$current_user_id = get_current_user_id();
$vtu_max_header_template = plugin_dir_path(__FILE__) . 'template-vtu-max-header.php';
require $vtu_max_header_template;
$basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');

?>

 <div id="layout-wrapper">
        <header id="page-topbar" style="top: 0 !important">
            <div class="layout-width">
                <div class="navbar-header d-flex justify-content-start">
                    <a href="javascript:window.history.back()">
                    <div class="d-flex">
                        <button type="button" class="btn btn-sm px-3 fs-16 header-item vertical-menu-btn topnav-hamburger" id="ctopnav-hamburger-icon">
                            <i class="ri-arrow-left-line"></i>
                        </button>
                    </div>
                    </a>
                    <p class="mt-3">Tv Subcription</p>
                </div>
            </div>
        </header>
<input id="notificationItemsTabContent" type="hidden">

<div class="main-content">
   
    <div class="page-content">
        <div class="container-fluid px-0 mt-3">

            <div class="row">
                <div class="col-lg-6">
                    <div class="card">
                        <div class="card-header">
                            <h6 class="card-title mb-0">Renew Tv</h6>
                        </div><!-- end card header -->
                        <div class="card-body">
                            <!-- Buttons with dropdowns -->
                            <form class="row gy-4" method="POST">
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                       <select class="form-select data-attr network" id="data-attr" data-id="custom-input">
    <option selected value="none" data-src="<?= $basecdnurl ?>images/gotv.png">Select Provider</option>
    <option value="GOtv" data-src="<?= $basecdnurl ?>images/gotv.png">GoTV</option>
    <option value="DStv" data-src="<?= $basecdnurl ?>images/dstv.png">DSTV</option>
    <option value="SHOWMAX" data-src="<?= $basecdnurl ?>images/showmax.png">Showmax</option>
    <option value="startimes" data-src="<?= $basecdnurl ?>images/startimes.png">Startimes</option>
</select>
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                        <input type="text" readonly data-bs-toggle="offcanvas" data-bs-target="#selectPlan" class="form-control serviceID" data-id="custom-input" id="plan" placeholder="select plan"> 
                                    </div>
                                </div>
                                <div class="col-12 mt-3">
                                    <div class="mt-3">
                                        <input type="number" class="form-control iuc" id="iuc" maxLength="11" data-id="custom-input" placeholder="Enter iuc/smartcard number">
                                    </div>
                                </div>
                              <?php wp_nonce_field('vtu_max_tv_nonce', 'security'); ?>  
                                     
                                <div class="d-flex flex-wrap gap-2">
                                    <button class="btn btn-primary w-100 proceed" type="button" id="subTv">Continue</button>
                                </div>
                            </form>
                        </div>

                    </div>
                </div> <!-- end col -->





                <div class="col-lg-6">
                    <div class="accordion accordion-border-box" id="genques-accordion">
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="genques-headingOnee">
                                <button class="accordion-button text-primary" type="button" data-bs-toggle="collapse" data-bs-target="#genques-collapseOnee" aria-expanded="true" aria-controls="genques-collapseOnee">
                                    Upgrade and Downgrades
                                </button>
                            </h2>
                            <div id="genques-collapseOnee" class="accordion-collapse collapse show" aria-labelledby="genques-headingOnee" data-bs-parent="#genques-accordion">
                                <div class="accordion-body">
                         <p class="fs-12">You can contact DSTV/GOtv's customers care unit on <span class="text-primary">01-2703232/08039003788</span> or the toll free lines: <span class="text-primary">08149860333, 07080630333, and 09090630333</span>, STARTIMES's customers care unit on <span class="text-primary">094618888</span></p>
                                </div>
                            </div>
                        </div>

   <!-- bottom offcanvas -->
            <div class="offcanvas offcanvas-bottom h-50 rounded-top" tabindex="-1" id="selectPlan" aria-labelledby="offcanvasBottomLabel">
                <div class="offcanvas-header pt-3 pb-2">
                    <h6 id="offcanvasBottomLabel">Select Plan</h6>
                    <button type="button" class="btn-close text-reset fs-14" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                </div>
                <div class="offcanvas-body p-1 serviceIDS">
                  <hr class="text-muted">
                    
                </div>
            </div>
        </div>
<style>
    .plan-details {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-right: 20px;
        margin-left: 20px;
    }


    hr {
        margin-top: -3px;
        margin-bottom: 8px;
    }
    .tab-pane {
       margin-top: 9px;
    }
</style>
           </div>
        </div>
<?php
$current_user = wp_get_current_user();
$user_roles = $current_user->roles;
$user_role = array_shift($user_roles);

global $wpdb;
$table_name = $wpdb->prefix . 'vtu_max_cable_plans';
$distinct_prefixes = $wpdb->get_col("SELECT DISTINCT SUBSTRING_INDEX(name, ' ', 1) AS prefix FROM $table_name");

$results = array();

foreach ($distinct_prefixes as $prefix) {
    $price_column = $user_role === 'reseller' ? 'reseller_price' : ($user_role === 'agent' ? 'agent_price' : 'customer_price');

    $query = $wpdb->prepare("SELECT name, $price_column FROM $table_name WHERE name LIKE %s", $prefix . '%');
    $plans = $wpdb->get_results($query, ARRAY_A);

    if (!empty($plans)) {
        $formatted_plans = array_column($plans, $price_column, 'name');
        $results[$prefix] = $formatted_plans;
    }
}
?>


<script>
   const plans = <?php echo json_encode($results); ?>;

function updatePlanDetails() {
    const selectElement = document.getElementById('data-attr');
    const selectedOption = selectElement.options[selectElement.selectedIndex].value;

    const offcanvasBody = document.querySelector('.offcanvas-body');
    offcanvasBody.innerHTML = '';

    if (plans.hasOwnProperty(selectedOption)) {
        const providerPlans = plans[selectedOption];

        if (Object.keys(providerPlans).length === 0) {
            const selectedPlan = selectElement.options[selectElement.selectedIndex].text;
            const toastText = `${selectedPlan} is Currently unavailable`;

            Toastify({
                text: toastText,
                duration: 3000,
                close: false,
                gravity: 'top',
                position: 'right',
                backgroundColor: 'linear-gradient(to right, #f1c40f, #f39c12)',
                className: 'toastify-text-warning',
            }).showToast();

            const offcanvasElement = document.getElementById('selectPlan');
            const offcanvas = bootstrap.Offcanvas.getInstance(offcanvasElement);
            offcanvas.hide();

            return;
        }

        Object.entries(providerPlans).forEach(([plan, amount]) => {
            const planDetails = document.createElement('div');
            planDetails.className = 'plan-details';
            planDetails.innerHTML = `
                <p class="left-details">${plan}</p>
                <p class="right-details">₦${amount}.00</p>
            `;

            planDetails.addEventListener('click', () => {
                document.getElementById('plan').value = plan;
                const offcanvasElement = document.getElementById('selectPlan');
                const offcanvas = bootstrap.Offcanvas.getInstance(offcanvasElement);
                offcanvas.hide();
            });

            const hrElement = document.createElement('hr');
            hrElement.className = 'text-muted';

            offcanvasBody.appendChild(planDetails);
            offcanvasBody.appendChild(hrElement);
        });
    } else {
        const offcanvasElement = document.getElementById('selectPlan');
        const offcanvas = bootstrap.Offcanvas.getInstance(offcanvasElement);
        offcanvas.hide();

        const selectedPlan = selectElement.options[selectElement.selectedIndex].text;
        const toastText = `${selectedPlan} is Currently unavailable`;

        Toastify({
            text: toastText,
            duration: 3000,
            close: false,
            gravity: 'top',
            position: 'right',
            backgroundColor: 'linear-gradient(to right, #f1c40f, #f39c12)',
            className: 'toastify-text-warning',
        }).showToast();
    }
}

const selectElement = document.getElementById('data-attr');
selectElement.addEventListener('change', updatePlanDetails);

updatePlanDetails();
</script>

                    <!--end accordion-->
                </div>
             
    </div>



            
        <!-- End Page-content -->

       
      <!-- App botton Menu -->

<footer class="un-bottom-navigation filter-blur">
    <div class="em_body_navigation border-0">
        <div class="item_link pointer mb-1" id="home">
            <a href="/" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-home-5-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Home</span>
            </a>
        </div> 
        
        <div class="item_link pointer mb-1 " id="">
            <a href="finance" class="btn btn_navLink text-center" aria-label="btnNavigation">
                <i class="ri-bar-chart-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">finance</span>
            </a>
        </div>
        <div class="item_link pointer mb-1" id="">
            <a href="support" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-chat-1-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Support</span>
            </a>
        </div>
        <div class="item_link pointer mb-1 " id="history">
            <a href="transactions" class="btn btn_navLink text-center" aria-label="btnNavigation">
              <i class="ri-user-4-line"></i>
                 <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">History</span>
            </a>
        </div>
    </div>
</footer>
</div>
<!-- end main content-->

</div>

<script>

document.addEventListener('DOMContentLoaded', function () {
    var isKeyboardVisible = false;

    function updateVisibility() {
       
        var hasFocus = Array.from(document.querySelectorAll('input, textarea'))
            .some(function (element) {
                return element === document.activeElement;
            });

        if (hasFocus !== isKeyboardVisible) {
            isKeyboardVisible = hasFocus;
            updateFooterVisibility();
        }
    }

    function updateFooterVisibility() {
        var footer = document.querySelector('.un-bottom-navigation');

        if (isKeyboardVisible) {
        
            footer.style.display = 'none';
        } else {
        
            footer.style.display = 'block';
        }
    }

    updateVisibility();
    window.addEventListener('resize', updateVisibility);
    window.addEventListener('scroll', updateVisibility);

    document.addEventListener('focus', updateVisibility, true);
    document.addEventListener('blur', updateVisibility, true);
});


</script>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
<script>
new TomSelect('#data-attr',{
    readOnly: true,
    render: {
        option: function (data, escape) {
            return `<div><img class="me-2 avatar-xxs rounded" height="18" src="${data.src}">${data.text}</div>`;
        },
        item: function (item, escape) {
            return `<div><img class="me-2 avatar-xxs rounded" height="18" src="${item.src}">${item.text}</div>`;
        }
    }
});

$('.dropdown-menu').on('click', '.droptoggle', function() {
    var provider = $(this).data('provider');
    $('.nettoggle img').attr('src', 'static/images/bills/' + provider + '.png');
    $( '.nettoggle .provider' ).text( provider );
    //$( "#biller" ).text( provider );
    //$('.billerImg').attr('src', 'static/images/bills/' + provider + '.png');
    
   // $('.number').attr('placeholder', provider + ' phone number');
    $('.network').val(provider);
  } );


function copyTextToClipboard(text) {
  navigator.clipboard.writeText(text).then(function() {
    console.log('Copied to clipboard');
    toast('Copied to clipboard');
  }).catch(function(err) {
    console.error('Error copying to clipboard:', err);
    toast('Error copying to clipboard');
  });
}
function toast(message) {
    Toastify({
        text: message,
        duration: 3000,
        close: false,
        gravity: 'top',
        position: 'center',
        backgroundColor: 'linear-gradient(to right, #00b09b, #96c93d)',
        stopOnFocus: true,
    }).showToast()
}
</script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
 