<?php
$current_user_id = get_current_user_id();
$vtu_max_header_template = plugin_dir_path( __FILE__ ) . 'template-vtu-max-headerx.php';
require $vtu_max_header_template;
$primary_color = $vtu_maxplugin->getPrimaryColor();
$basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');
$cashback = get_user_meta($current_user_id, 'cashback', true);
$vtu_max_username = get_user_meta($current_user_id, 'nickname', true);
$vtu_max_user_avatar = get_avatar_url($current_user_id);
$referral_balance = get_user_meta($current_user_id, 'referral_balance', true);
$svgUrlVerified = $basecdnurl . 'icons/verified.svg';
header('Cache-Control: max-age=2592000, public');
if ($referral_balance !== '' && $cashback !== '' ) {
    
    $max_referral_balance = number_format($referral_balance, 2);
    $max_cashback = number_format($cashback, 2);
}
?>
<header id="page-topbar" class="mb-5" style="top: 0 !important; background: <?= $primary_color ?>">
            <div class="layout-width">
                <div class="navbar-header mt-2 mb-1">
                    <div class="d-flex justify-content-betweecn">
                        <div class="dropdown ms-sm-3 header-ite topbar-user">
                            <a href="profile">
                            <span class="d-flex justify-content-start" onclick="wcindow.location.href='profile' ">
                                <img class="rounded-circle" width="35" height="35" src="<?= $vtu_max_user_avatar ?>" alt="Header Avatar" style="position: relative; top: 20px;">
                                <div class="text-start ms-xl-2" style="margin-left: 10px;">
                                    <h6 class="fw-medium fs-13 user-name-text text-light mb-0">Hey <?= $vtu_max_username ?>! <img src="<?= $svgUrlVerified ?>" style="position: relative; left: -20px;" alt=""></h6>
                                    <span class="fs-11 text-light user-name-sub-text" style="position: relative; top: -20px;">Welcome lets pay bills!</span>
                                </div>
                            </span>
                            </a>
                        </div>
                    </div>
                    <div class="dropdown topbar-head-dropdown header-item" id="notificationDropdown">
                        <button type="button" class="btn btn-icon btn-topbar btn-ghost-dark rounded-circle" id="page-header-notifications-dropdown" data-bs-toggle="dropdown" data-bs-auto-close="outside" aria-haspopup="true" aria-expanded="false">
                           <a href="">  <i class="ri-notification-4-line text-light" style="position: relative; top: -7px; left: -5px"></i></a>
                            <span class="position-absolute topbar-badge fs-10 translate-middle badge rounded-pill bg-danger"><span class="notification-badge">1</span><span class="visually-hidden">unread notifications</span></span>
                        </button>
                    </div>
                </div>
            </div>
        </header>
            </div>
<!-- ** Header ** -->
<!-- Full-width section -->
 <div class="full-width-section-header d-flex justify-content-between align-items-center p-3" style="background: <?= $primary_color ?> !important;" >
       
   </div>
<div class="full-width-section d-flex justify-content-between align-items-center p-3" style="background: <?= $primary_color ?> !important;">
  
 
  <div class="left-section" >
    <h4 class="text-white mb-0 f-19">Cashback</h4>
      
    <p class="text-white mb-0 f-15">₦<?= $max_cashback ?></p>
    <div class="arrow-icon">
      <i class="ri-arrow-right-s-line text-white"></i>
    </div>
   
  </div>

 
  <div class="right-section">
    <h4 class="text-white mb-0 f-19">Refferal</h4>
     
    <p class="text-white mb-0 f-15">₦<?= $max_referral_balance ?></p>
    <div class="arrow-icon">
      <i class="ri-arrow-right-s-line text-white"></i>
    </div>
   
  </div>
</div>
<div class="container shadow-sm bottom-subsection text-center" style="">
 
  <div class="container p-3 d-flex  justify-content-between">
    <div class="icon-container mr-3">
      <i class="ri-user-line" style="color: #ff6700"></i>
    </div>
    <div class="text-container">
      <p class=" mb-0">Daily bonus</p>
      <p class=" mb-0 f-10">Get up to ₦200 bonus</p>
    </div>
    <div class="button-container ml-3">
      <button onclick="window.location.href = 'data';" class="btn btn-primary btn-rounded">Get Now</button>
    </div>
  </div>
</div>



<br>
<p style="margin-left: 30px; font-size: 16px;">Daily Bonus</p>


<div class="container mx-auto">
    <div class="standalone-section">
      <div class="icon-container">
        <i class="ri-user-line"></i>
      </div>
      <div class="text-container">
        <p class=" mb-0">GLO Airtime +3%</p>
        <p class=" mb-0 f-10">Buy Airtime and get up to 6%...</p>
      </div>

      <div class="button-container">
        <button onclick="window.location.href = 'airtime';" class="btn btn-primary btn-rounded">&nbsp;Go&nbsp;</button>
      </div>
    </div>
  </div>
  <br>
  <div class="container mx-auto">
    <div class="standalone-section">
      <div class="icon-container">
        <i class="ri-user-line"></i>
      </div>

      <div class="text-container">
        <p class=" mb-0">9Mobile Airtime +9%</p>
        <p class="mb-0 f-10">Buy Airtime and get up to 9%...</p>
      </div>

      <div class="button-container">
        <button onclick="window.location.href = 'airtime';" class="btn btn-primary btn-rounded">&nbsp;Go&nbsp;</button>
      </div>
    </div>
  </div>
  <br>
  <div class="container mx-auto">
    <div class="standalone-section">
      <div class="icon-container">
        <i class="ri-user-line"></i>
      </div>
      <div class="text-container">
        <p class=" mb-0">Airtel/MTN Airtime +2%</p>
        <p class=" mb-0 f-10">Buy Airtime and get up to 5%...</p>
      </div>
      <div class="button-container">
        <button onclick="window.location.href = 'airtime';" class="btn btn-primary btn-rounded">&nbsp;Go&nbsp;</button>
      </div>
    </div>
  </div>  


<footer class="un-bottom-navigation filter-blur">
    <div class="em_body_navigation border-0">
        <div class="item_link pointer mb-1 " id="home">
            <a href="/" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-home-5-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Home</span>
            </a>
        </div> 
        
        <div class="item_link pointer mb-1 active" id="">
            <a href="#" class="btn btn_navLink text-center" aria-label="btnNavigation">
                <i class="ri-bar-chart-fill"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Finance</span>
            </a>
        </div>
        <div class="item_link pointer mb-1" id="">
            <a href="support" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-chat-1-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Support</span>
            </a>
        </div>
        <div class="item_link pointer mb-1 " id="">
            <a href="transactions" class="btn btn_navLink text-center" aria-label="btnNavigation">
              <i class="ri-user-4-line"></i>
                 <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">History</span>
            </a>
        </div>
    </div>
</footer>
</div>
</div>

 