<?php

$current_user_id = get_current_user_id();

$vtu_max_header_template = plugin_dir_path( __FILE__ ) . '/template-vtu-max-header.php';
require $vtu_max_header_template;


?>
   <div id="layout-wrapper">
        <header id="page-topbar" style="top: 0 !important">
            <div class="layout-width">
                <div class="navbar-header d-flex justify-content-start">
                    <a href="javascript:window.history.back()">
                    <div class="d-flex">
                        <button type="button" class="btn btn-sm px-3 fs-16 header-item vertical-menu-btn topnav-hamburger" id="ctopnav-hamburger-icon">
                            <i class="ri-arrow-left-line"></i>
                        </button>
                    </div>
                    </a>
                    <p class="mt-3">Transactions Details</p>
                </div>
            </div>
        </header>
<input id="notificationItemsTabContent" type="hidden">



       

            <div class="sidebar-background border-primary border-end"></div>
        </div>
        <!-- Left Sidebar End -->
<div class="vertical-overlay"></div>

<div class="main-content">
    <style>
        body {
    margin: 0;
    padding: 0;
    overflow: hidden;
}
        .pointer:hover {
            background-color: transparent !important;
            color: #f0f0f0 !important;
            cursor: pointer;
        }
        
        .w-45{
            width: 45% !important;
        }

        .fs-13 {
            font-size: 12px;
        }

        .fs-13 {
            font-size: 13px;
        }

        .fs-14 {
            font-size: 14px;
        }

        .fs-15 {
            font-size: 15px;
        }
        .fs-40{
            font-size: 40px;
        }
    </style>
    

    <div class="page-content">
        <div class="container-fluid px-0">

            <div class="row">
                <div class="col-lg-6 px-2">
                    <div class="cardd px-2">
                        <div class="card-bodyc px-0">
                            <div class="mx-n3">
                                                                <div class="card mt-3 trxcard">
                                    <div class="card-body" style="position: relative; top: -30px;">
           
           
           
<?php
$transactionRef = isset($_GET['ref']) ? sanitize_text_field($_GET['ref']) : '';

if (!is_user_logged_in()) {
    echo '<script>window.location.href = "' . esc_url(home_url('/auth/login')) . '";</script>';
    exit;
}

global $wpdb;
$table_name = $wpdb->prefix . 'vtu_max_transactions'; 

$transaction_data = $wpdb->get_row($wpdb->prepare("SELECT * FROM $table_name WHERE ref = %s AND user_id = %d", $transactionRef, get_current_user_id()), ARRAY_A);


if (!$transaction_data) {
    
    echo '<script>window.location.href = "' . esc_url(home_url('/')) . '";</script>';
    exit;
}


function get_account_type($billerName) {
    $fw = strtolower(explode(' ', $billerName)[0]);

    switch ($fw) {
        case 'glo':
        case 'mtn':
        case 'airtel':
        case '9mobile':
            return 'Mobile Number';
        case 'gotv':
        case 'dstv':
        case 'startimes':
            return 'IUC Number';
        case 'electricity':
            return 'Meter Number';
        case 'paystack':
        case 'mfy':
            return 'Transaction ID';
        default:
            return 'Session ID';
    }
}


$billerName = ucfirst(strtolower($transaction_data['biller']));
$biller = $transaction_data['biller'];
$transactionDescription = esc_html($transaction_data['description']);
$amount = number_format((float) $transaction_data['amount'], 2, '.', '');
$accountType = get_account_type($billerName);
$accountNumber = esc_html($transaction_data['number']);
$reference = esc_html($transaction_data['ref']);
$date = date("h:i A, jS F, Y", strtotime($transaction_data['date']));
$status = esc_html($transaction_data['status']);

if ($status === 'success') {
    $iconClass = 'ri-checkbox-circle-fill';
    $textColorClass = 'text-success';
    $amountSign = '+';
} elseif ($status === 'failed') {
    $iconClass = 'ri-close-circle-fill';
    $textColorClass = 'text-danger';
    $amountSign = '-₦' . number_format((float) $transaction_data['amount'], 2, '.', '') . ' (refunded)';
} else {
    $iconClass = 'ri-refresh-fill';
    $textColorClass = 'text-warning';
    $amountSign = '-₦' . number_format((float) $transaction_data['amount'], 2, '.', '');
}


if ($billerName === 'Paystack' || 'MYF' && $status === 'success') {
    $amountSign = '+₦' . number_format((float) $transaction_data['amount'], 2, '.', '');
    $textColorClass = 'text-success';
}


?>

<ul class="list-group list-group-flush border-dashed mb-0">
    <div class="text-center <?php echo $textColorClass; ?> fs-40">
        <i style="font-size: 55px;" class="<?php echo $iconClass; ?>"></i>
    </div>
    <p class="mb-5 text-center">Transaction <?php echo ucfirst($status); ?></p>
    <li class="list-group-item px-0 pointer">
        <div class="d-flex">
            <div class="flex-grow-1 ms-2">
                <h6 class="mb-1 fs-11 fw-medium">Biller</h6>
            </div>
            <div class="flex-shrink-0 text-end">
                <p class="fs-12 mb-0"><?= $biller ?></p>
            </div>
        </div>
    </li>
    <li class="list-group-item px-0 pointer">
        <div class="d-flex">
            <div class="flex-grow-1 ms-2">
                <h6 class="mb-1 fs-11 fw-medium">Description</h6>
            </div>
            <div class="flex-shrink-1 text-end">
                <p class="mb-0 fs-12"><?= $transactionDescription; ?></p>
            </div>
        </div>
    </li>
  <li class="list-group-item px-0 pointer">
        <div class="d-flex">
            <div class="flex-grow-1 ms-2">
                <h6 class="mb-1 fs-11 fw-medium">Amount</h6>
            </div>
            <div class="flex-shrink-0 text-end">
                <?php
                if ($billerName === 'Paystack' || 'MYF' && $status === 'success') {
                    echo '<p class="text-success fs-11 mb-0">' . $amountSign . '</p>';
                } else {
                    echo '<p class="' . ($status === 'failed' ? 'text-danger' : 'text-success') . ' fs-11 mb-0">' . $amountSign . '</p>';
                }
                ?>
            </div>
        </div>
    </li>
    <li class="list-group-item px-0 pointer">
        <div class="d-flex">
            <div class="flex-grow-1 ms-2">
                <h6 class="mb-1 fs-11 fw-medium"><?php echo $accountType === 'Mobile Number' ? 'Mobile Number' : ($accountType === 'IUC Number' ? 'IUC Number' : 'Transaction ID'); ?></h6>
            </div>
            <div class="flex-shrink-0 text-end">
                <p class="fs-12 mb-0"><?php echo $accountNumber; ?></p>
            </div>
        </div>
    </li>
    <li class="list-group-item px-0 pointer">
        <div class="d-flex">
            <div class="flex-grow-1 ms-2">
                <h6 class="mb-1 fs-11 fw-medium">Reference</h6>
            </div>
            <div class="flex-shrink-0 text-end">
                <p class="mb-0 fs-12" id="copyReference"><?php echo $reference; ?><i class="ri-file-copy-fill pointer"></i></p>
            </div>
        </div>
    </li>
    <li class="list-group-item px-0 pointer">
        <div class="d-flex">
            <div class="flex-grow-1 ms-2">
                <h6 class="mb-1 fs-11 fw-medium">Date</h6>
            </div>
            <div class="flex-shrink-0 text-end">
                <p class="mb-0 fs-12"><?php echo $date; ?></p>
            </div>
        </div>
    </li>
    <li class="list-group-item px-0 pointer">
        <div class="d-flex">
            <div class="flex-grow-1 ms-2">
                <h6 class="mb-1 fs-11 fw-medium">Status</h6>
            </div>
            <div class="flex-shrink-0 text-end">
                <p class="mb-0 fs-12 <?php echo $textColorClass; ?>"><i class="<?php echo $iconClass; ?> align-middle"></i> <?php echo ucfirst($status); ?></p>
                    </div>
                </div>  
                </li>
                </ul>         
                                               
                                    
                                    </div>
                                    
                                </div>
                               <div class="text-center mt-5" style="position: relative; top: -70px;">
                                        <button name="requery" class="btn btn-light w-sm w-45 mb-2">Requery</button>
                                        <a class="btn btn-primary w-sm w-45 mb-2" id="downloadButton" download>Download</a>
                                    </div>
                                                                
                                                            </div>
                        </div>
                    </div>
                </div> <!-- end col -->

            </div>


        </div> 
    </div>
    <!-- End Page-content -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.8/clipboard.min.js"></script>
   


    
        
        <!-- App botton Menu -->

<footer class="un-bottom-navigation filter-blur">
    <div class="em_body_navigation border-0">
        <div class="item_link pointer mb-1" id="home">
            <a href="/" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-home-5-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Home</span>
            </a>
        </div> 
        
        <div class="item_link pointer mb-1 " id="refferal">
            <a href="finance" class="btn btn_navLink text-center" aria-label="btnNavigation">
                <i class="ri-bar-chart-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Finance</span>
            </a>
        </div>
        <div class="item_link pointer mb-1" id="">
            <a  class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-chat-1-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Support</span>
            </a>
        </div>
        <div class="item_link pointer mb-1 active" id="history">
            <a href="transactions" class="btn btn_navLink text-center" aria-label="btnNavigation">
              <i class="ri-user-4-fill"></i>
                 <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">History</span>
            </a>
        </div>
    </div>
</footer>
</div>


</div>
<!-- ** App bottom Menu ** -->
 
</div>

<script src="https://html2canvas.hertzen.com/dist/html2canvas.min.js"></script>