<?php

$current_user_id = get_current_user_id();

$vtu_max_header_template = plugin_dir_path( __FILE__ ) . '/template-vtu-max-header.php';
require $vtu_max_header_template;
$basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');
$transactionRef = isset($_GET['status']) ? sanitize_text_field($_GET['status']) : '';
$site_name = get_bloginfo('name');
if (!is_user_logged_in()) {
    echo '<script>window.location.href = "' . esc_url(home_url('/auth/login')) . '";</script>';
    exit;
}

global $wpdb;
$table_name = $wpdb->prefix . 'vtu_max_transactions'; 
error_log('testung');
$transaction_data = $wpdb->get_row($wpdb->prepare("SELECT * FROM $table_name WHERE ref = %s AND user_id = %d", $transactionRef, get_current_user_id()), ARRAY_A);


if (!$transaction_data) {
    
    echo '<script>window.location.href = "' . esc_url(home_url('/')) . '";</script>';
    exit;
}


$transactionDescription = esc_html($transaction_data['description']);
$amount = number_format((float) $transaction_data['amount'], 2, '.', '');
$reference = esc_html($transaction_data['ref']);
$status = esc_html($transaction_data['status']);
echo '';
if ($status === 'success') {
echo '
<style>

body {
  margin: 0;
  padding: 0;
  overflow: hidden; 
  background: url(\'' . $basecdnurl . 'images/con.gif\') center/cover no-repeat fixed;
}
body,h4,button{
   font-family: Mitr, sans-serif !important;
   
}

.fs-12{
   font-size: 12px !important;

}

.btn {
    color: #fff;
    background: #ff6700;
    border: 1px solid #ff6700;
}

.btn:hover,
.btn:active,
.btn:focus {
    background: #e05600; 
    border: 1px solid #ff6700
}

a {
    color: #ff6700;
}

.default-color, .color-default {
    color: #ff6700
}
.success-circle {
  display: inline-block;
  width: 60px; 
  height: 60px;
  border-radius: 50%; 
  background-color: #4CAF50; 
  text-align: center;
  line-height: 60px; 
}

.success-icon {
  color: #fff;  
  font-size: 40px; 
}

.center-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  
}
.custom-hr {
  margin-top: 40px;
  margin-bottom: 70px;
}
.btn-block {
  font-size: 14px;
}

</style>
<div class="nk-app-root ">
        <main class="nk-pages">
             <!-- Begin page -->
   
            <div class="min-vh-100 d-flex flex-column has-mask">
                <div class="nk-mask bg-pattern-dot bg-blend-around"></div>
                <div class="text-center mt-6 mb-4">
                 
                       
                </div>
                <div class="my-auto mt-0">
    <div class="container px-1">
        <div class="row g-gs justify-content-center">
            <div class="col-md-7 col-lg-6 col-xl-5">
                
                    <div class="card-body px-3">
                       <div class="center-wrapper">
  <div class="success-circle">
    <i class="ri-check-line success-icon">
     
      
    </i>
  </div>
</div>
<br>
  <br>
                        <h4 class="mb-2" style="text-align: center; color: #4caf50;">Transaction Successful 🎉🎉</h4>
                       
                        <p class="fs-12 text-center" style="text-align: center;"> Your transaction of ₦' . $amount . ' was successful</p>
                        <hr class="custom-hr">
                        <p class="fs-12" style="text-align: center;"><i class="ri-information-line" ></i> Tell your friends about <?= $site_name ?></p>
                                    <a href="/transactions/?ref=' . $transactionRef . '"><div class="form-group"><button style="background: #4CAF50; border: 1px solid #4CAF50" class="btn btn-primary btn-lg btn-block btn-x" type="submit">View Transaction Details</button></div></a>
                                  <br>
                                 
                                   <a href="/"><div class="form-group"><button style="background: #ff352b; border: 1px solid #ff352b" class="btn btn-primary btn-lg btn-block" type="submit" >Close</button></div></a> 
                                </div>
                                
                                <div class="col-12 text-center">
                                   
                                    
                                </div>
                            </div>
                       
                    </div>
                    <a href="https://vtumax.com"> <p class="fs-12 mt-4" style="text-align: right; font-weight: 500; color: <?= $primary_color ?>"> powered by VTUmax &nbsp;&nbsp;&nbsp;</p></a>
                </div>
            </div>
        </div>
    </div>
</div>



</div>
</main>
</div>';
} elseif ($status === 'failed') {
echo '<style>

body,h4,button{
   font-family: Mitr, sans-serif !important;
   
}

.fs-12{
   font-size: 12px !important;

}

.btn {
    color: #fff;
    background: #ff6700;
    border: 1px solid #ff6700;
}

.btn:hover,
.btn:active,
.btn:focus {
    background: #e05600; 
    border: 1px solid #ff6700
}

a {
    color: #ff6700;
}

.default-color, .color-default {
    color: #ff6700
}
.failed-circle {
  display: inline-block;
  width: 60px; 
  height: 60px;
  border-radius: 50%; 
  background-color: #ff1f00; 
  text-align: center;
  line-height: 60px; 
}

.failed-icon {
  color: #fff;  
  font-size: 40px; 
}

.center-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  
}
.custom-hr {
  margin-top: 40px;
  margin-bottom: 70px;
}
.btn-block {
  font-size: 14px;
}

</style>
  <div class="nk-app-root ">
        <main class="nk-pages">
             <!-- Begin page -->
   
            <div class="min-vh-100 d-flex flex-column has-mask">
                <div class="nk-mask bg-pattern-dot bg-blend-around"></div>
                <div class="text-center mt-6 mb-4">
                 
                       
                </div>
                <div class="my-auto mt-0">
    <div class="container px-1">
        <div class="row g-gs justify-content-center">
            <div class="col-md-7 col-lg-6 col-xl-5">
                
                    <div class="card-body px-3">
                       <div class="center-wrapper">
  <div class="failed-circle">
    <i class="ri-close-line failed-icon">
     
      
    </i>
  </div>
</div>
<br>
  <br>
                        <h4 class="mb-2 default-color"style="text-align: center; color: red">Transaction Failed</h4>
                       
                        <p class="fs-12 text-center" style="text-align: center;"> Your transaction wasn\'t successful</p>
                        <hr class="custom-hr">
                        <p class="fs-12" style="text-align: center;"><i class="ri-information-line" ></i> View transaction history to know more about this transaction </p>
                        <a href="/transactions/?ref=' . $transactionRef . '"><div class="form-group"><button style="background: #4CAF50; border: 1px solid #4CAF50" class="btn btn-primary btn-lg btn-block" type="submit">View Transaction Details</button></div></a>
                       <br>
                        <a href="/">  <div class="form-group"><button style="background: #ff352b; border: 1px solid #ff352b" class="btn btn-primary btn-lg btn-block" type="submit">Close</button></div>  </a>
                                </div>
                                
                                <div class="col-12 text-center">
                                   
                                    
                                </div>
                            </div>
                       
                    </div>
                     <p class="fs-12 mt-4 color-default" style="text-align: right; font-weight: 500"> powered by VTUmax &nbsp;&nbsp;&nbsp;</p>
                </div>
            </div>
        </div>
    </div>
</div>



</div>
</main>
</div>';

} else {
    echo '<style>
body,h4,button{
   font-family: Mitr, sans-serif !important;
   
}

.fs-12{
   font-size: 12px !important;

}

.btn {
    color: #fff;
    background: #ff6700;
    border: 1px solid #ff6700;
}

.btn:hover,
.btn:active,
.btn:focus {
    background: #e05600; 
    border: 1px solid #ff6700
}

a {
    color: #ff6700;
}

.default-color, .color-default {
    color: #ff6700
}
.processing-circle {
  display: inline-block;
  width: 60px; 
  height: 60px;
  border-radius: 50%; 
  background-color: #ffa500; 
  text-align: center;
  line-height: 60px; 
}

.processing-icon {
  color: #fff;  
  font-size: 40px; 
}

.center-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  
}
.custom-hr {
  margin-top: 40px;
  margin-bottom: 70px;
}

.btn-block {
  font-size: 14px;
}
</style> 
<div class="nk-app-root ">
        <main class="nk-pages">
             <!-- Begin page -->
   
            <div class="min-vh-100 d-flex flex-column has-mask">
                <div class="nk-mask bg-pattern-dot bg-blend-around"></div>
                <div class="text-center mt-6 mb-4">
                 
                       
                </div>
                <div class="my-auto mt-0">
    <div class="container px-1">
        <div class="row g-gs justify-content-center">
            <div class="col-md-7 col-lg-6 col-xl-5">
                
                    <div class="card-body px-3">
                       <div class="center-wrapper">
  <div class="processing-circle">
    <i class="ri-refresh-line processing-icon"></i>
     
      
    </i>
  </div>
</div>
<br>
  <br>
                        <h4 class="mb-2 default-color"style="text-align: center; color: #ffa500">Transaction processing</h4>
                       
                        <p class="fs-12 text-center" style="text-align: center;"> Your transaction is in progress</p>
                        <hr class="custom-hr">
                        <p class="fs-12" style="text-align: center;"><i class="ri-information-line" ></i> View transaction history to know more about this transaction </p>
                        <a href="/transactions/?ref=' . $transactionRef . '"><div class="form-group"><button style="background: #4CAF50; border: 1px solid #4CAF50" class="btn btn-primary btn-lg btn-block" type="submit">View Transaction Details</button></div></a><br>
                        <a href="/"><div class="form-group"><button style="background: #ff352b; border: 1px solid #ff352b" class="btn btn-primary btn-lg btn-block" type="submit">Close</button></div></a>
                                </div>
                                
                                <div class="col-12 text-center">
                                   
                                    
                                </div>
                            </div>
                       
                    </div>
                     <p class="fs-12 mt-4 color-default" style="text-align: right; font-weight: 500"> powered by VTUmax &nbsp;&nbsp;&nbsp;</p>
                </div>
            </div>
        </div>
    </div>
</div>



</div>
</main>
</div>
';
}



?>

