<?php
$current_user_id = get_current_user_id();

$vtu_max_header_template = plugin_dir_path( __FILE__ ) . 'template-vtu-max-header.php';
require $vtu_max_header_template;
$basecdnurl = base64_decode('aHR0cHM6Ly9jZG4udnR1bWF4LmNvbS8=');
$wallet_balance = get_user_meta($current_user_id, 'wallet_balance', true);
$vtu_max_username = get_user_meta($current_user_id, 'nickname', true);
$vtu_max_user_avatar = get_avatar_url($current_user_id);



if ($wallet_balance !== '') {
    
    $vtu_max_wallet_balance = number_format($wallet_balance, 2);
}
?>

  <div id="layout-wrapper">
        <header id="page-topbar" style="top: 0 !important">
            <div class="layout-width">
                <div class="navbar-header d-flex justify-content-start">
                    <a href="javascript:window.history.back()">
                    <div class="d-flex">
                        <button type="button" class="btn btn-sm px-3 fs-16 header-item vertical-menu-btn topnav-hamburger" id="ctopnav-hamburger-icon">
                            <i class="ri-arrow-left-line"></i>
                        </button>
                    </div>
                    </a>
                    <p class="mt-3">Transactions</p>
                </div>
            </div>
        </header>



        
            
        
<div class="main-content" style="position: relative; top: -50px;">
    
    

    <div class="page-content">
        <div class="container-fluid px-0">

            <div class="row">
                <div class="col-lg-6 px-2">
                    <div class="cardd px-2">
                        <div class="card-bodyc px-0">
                            <div class="mx-n3">
                                                                
                                                                <div class="w-100 mt-0 mb-1 px-2">
                                    <div class="form-icon">
                                        <input id="searchResultList" class="form-control form-control-icon" placeholder="Search billers, status...">
                                        <i class="ri-search-fill"></i>
                                    </div>
                                </div>
                                <div data-simplebar style="max-height: 100%;">
                                            
 <ul class="list-group list-group-flush border-dashed mb-0">
    <?php
    global $wpdb;
    $user_id = get_current_user_id();

    $transactions = $wpdb->get_results(
        $wpdb->prepare(
            "SELECT * FROM {$wpdb->prefix}vtu_max_transactions WHERE user_id = %d ORDER BY created_at DESC LIMIT 100",
            $user_id
        )
    );
    if (empty($transactions)) {
    echo '<li class="list-group-item text-danger">No transaction found!!😕</li>';
} else { 
foreach ($transactions as $transaction) {
        $biller_name = explode(" ", $transaction->biller)[0];
        $transaction_details = preg_match('/₦(\d+)|\b\d+MB\b|\b\d+mb\b/', $transaction->description, $matches) ? $matches[0] : '';

        $transaction_date = date("jS F, Y", strtotime($transaction->date));
        $transaction_amount = number_format($transaction->amount, 2);

        echo '<li class="list-group-item px-2 pointer" onclick="window.location.href=\'transactions/?ref=' . $transaction->ref . '\'">';
        echo '<a href="transactions/?ref=' . $transaction->ref . '">';
        echo '<div class="d-flex">';
        echo '<div class="flex-shrink-0 avatar-xs">';
        echo '<span class="avatar-title bg-light p-1 rounded-circle">';
        echo '<img src="'. $basecdnurl.'images/' . strtolower($biller_name) . '.png" class="img-fluid" alt="' . $biller_name . '">';
        echo '</span>';
        echo '</div>';
        echo '<div class="flex-grow-1 ms-2">';
        echo '<h6 class="mb-1 fs-11 fw-medium">' . $biller_name . ' ' . $transaction_details . '</h6>';
        echo '<p class="fs-12 mb-0 text-muted">';
        echo '<i class="ri-time-line fs-10 align-middle text-primary me-1"></i>' . $transaction_date . '</p>';
        echo '</div>';
        echo '<div class="flex-shrink-0 text-end">';

        if ($transaction->status === 'success') {
            echo '<p class="text-success fs-11 mb-0"><i class="ri-check-line fs-14 align-middle me-1"></i> ₦' . $transaction_amount . '</p>';
            echo '<p class="mb-0 fs-12 text-success">' . $transaction->status . '</p>';
        } elseif ($transaction->status === 'pending') {
            echo '<p class="text-warning fs-11 mb-0"><i class="ri-refresh-line fs-14 align-middle me-1"></i> ₦' . $transaction_amount . '</p>';
            echo '<p class="mb-0 fs-12 text-warning">' . $transaction->status . '</p>';
        } else {
            echo '<p class="text-danger fs-11 mb-0"><i class="ri-close-circle-fill fs-14 align-middle me-1"></i> ₦' . $transaction_amount . '</p>';
            echo '<p class="mb-0 fs-12 text-danger">' . $transaction->status . '</p>';
        }

        echo '</div>';
        echo '</div>';
        echo '</a>';
        echo '</li>';
    }
    }
    ?>
</ul>                                                                                       <div class="text-center mt-3">
                                                <a href="javascript:void(0)" class="text-success">-- END -- </a><br>
                                                <small class="fs-10 text-muted">Last 100 Transactions</small>
                                            </div>
                                                                                    </div>
                                                                    </div>
                        </div>
                    </div>
                </div> <!-- end col -->

            </div>


        </div> <!-- container-fluid -->
    </div>
   
<footer class="un-bottom-navigation filter-blur">
    <div class="em_body_navigation border-0">
        <div class="item_link pointer mb-1" id="home">
            <a href="/" class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-home-5-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Home</span>
            </a>
        </div> 
        
        <div class="item_link pointer mb-1 " id="refferal">
            <a href="refferal" class="btn btn_navLink text-center" aria-label="btnNavigation">
                <i class="ri-bar-chart-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Savings</span>
            </a>
        </div>
        <div class="item_link pointer mb-1" id="loan">
            <a  class="btn btn_navLink text-center" aria-label="btnNavigation">
               <i class="ri-chat-1-line"></i>
                <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">Support</span>
            </a>
        </div>
        <div class="item_link pointer mb-1 active" id="history">
            <a href="profile" class="btn btn_navLink text-center" aria-label="btnNavigation">
              <i class="ri-user-4-fill"></i>
                 <span class="fs-11 d-block" id="spanName" style="position: relative; top: -5px;">History</span>
            </a>
        </div>
    </div>
</footer>
</div>


</div>
<!-- ** App bottom Menu ** -->
 
<!-- end main content-->

</div>
<!-- END layout-wrapper -->
 
 