<?php

function vtu_max_security_headers( $headers ) {
  
  $headers['Content-Security-Policy'] = "default-src 'self'; script-src 'self' https://ajax.googleapis.com; style-src 'self' https://fonts.googleapis.com; img-src 'self' data:; font-src 'self' https://fonts.gstatic.com; frame-ancestors 'none'";
  
  $headers['X-Frame-Options'] = 'DENY';
  
  $headers['X-Content-Type-Options'] = 'nosniff';
  
  $headers['X-XSS-Protection'] = '1; mode=block';
 
  return $headers;
}


add_action( 'security_max_header', 'vtu_max_security_headers' );


